Subject: Re: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: Eli Zaretskii <[email-masked]>
Date: Sun, 02 Jul 2017 17:10:13 +0300

> Date: Sun, 02 Jul 2017 09:54:12 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  > Yes, but I presumed it will do it the same way company-mode reacts to
>  > such changes today.  Currently. company-mode recomputes and moves its
>  > overlay; it will instead recompute the text and its position.
> 
> To my knowledge ‘company-mode’ and all packages trying to solve similar
> display problems are based on idle timers.

I thought they used post-command-hook, but I will let Dmitry comment
on that.

> In this context the ‘window-text-change-functions’ I mentioned earlier
> seems completely useless.  Here doing for example
> 
> (add-hook 'window-text-change-functions 'ignore)
> 
> just gets me into a loop and I have to kill Emacs.  Also, it's not clear
> to me why this hook is considered abnormal and how to identify from
> Elisp the window that is redisplayed at the time the hook is run.  The
> fact that the window's buffer is current at that time is hardly useful.
> So I think we should either remove that hook or completely redesign it.

This hook ws introduced for linum.el, but linum.el as added to Emacs
never used it.  We should delete the hook and any references to it in
the manuals.